commit 7f9e807234aef812d1ce1fdc7356e53ec22874dc
Author: freddy77 <freddy77>
Date:   Mon Mar 1 14:50:55 2010 +0000

    update for future implementations

diff --git a/ChangeLog b/ChangeLog
index 924e458..997d25b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Mon Mar  1 15:50:06 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/prepclose.c src/odbc/unittests/timeout3.c:
+	* src/odbc/unittests/timeout4.c:
+	- update for future implementations
+
 Mon Mar  1 15:32:43 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/freeclose.c: ported freeclose test to Windows
 
@@ -2333,4 +2338,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2993 2010/03/01 14:33:04 freddy77 Exp $
+$Id: ChangeLog,v 1.2994 2010/03/01 14:50:55 freddy77 Exp $
diff --git a/src/odbc/unittests/prepclose.c b/src/odbc/unittests/prepclose.c
index 8fa19ba..c68edb9 100644
--- a/src/odbc/unittests/prepclose.c
+++ b/src/odbc/unittests/prepclose.c
@@ -26,7 +26,7 @@
  * prepare or execute a query. This should fail and return an error message.
  */
 
-static char software_version[] = "$Id: prepclose.c,v 1.5 2008/12/03 12:55:52 freddy77 Exp $";
+static char software_version[] = "$Id: prepclose.c,v 1.6 2010/03/01 14:50:55 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #if HAVE_FSTAT && defined(S_IFSOCK)
@@ -75,10 +75,14 @@ Test(int direct)
 	}
 
 	/* force disconnection closing socket */
-	if (direct)
+	if (direct) {
 		CHKExecDirect((SQLCHAR *) "SELECT 1", SQL_NTS, "E");
-	else
-		CHKPrepare((SQLCHAR *) "SELECT 1", SQL_NTS, "E");
+	} else {
+		SQLSMALLINT cols;
+		/* use prepare, force dialog with server */
+		if (CHKPrepare((SQLCHAR *) "SELECT 1", SQL_NTS, "SE") == SQL_SUCCESS)
+			CHKNumResultCols(&cols, "E");
+	}
 
 	CHKGetDiagRec(SQL_HANDLE_STMT, Statement, 1, sqlstate, NULL, (SQLCHAR *) buf, sizeof(buf), NULL, "SI");
 	sqlstate[5] = 0;
diff --git a/src/odbc/unittests/timeout3.c b/src/odbc/unittests/timeout3.c
index b10e03e..5f87079 100644
--- a/src/odbc/unittests/timeout3.c
+++ b/src/odbc/unittests/timeout3.c
@@ -40,7 +40,7 @@
 	test connection timeout
 */
 
-static char software_version[] = "$Id: timeout3.c,v 1.10 2009/02/27 10:11:42 freddy77 Exp $";
+static char software_version[] = "$Id: timeout3.c,v 1.11 2010/03/01 14:50:55 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -99,7 +99,7 @@ fake_thread_proc(void * arg)
 	memset(&sin, 0, sizeof(sin));
 	len = sizeof(sin);
 	alarm(30);
-	if ((fake_sock = tds_accept(s, (struct sockaddr *) &sin, &len)) < 0) {
+	if (TDS_IS_SOCKET_INVALID(fake_sock = tds_accept(s, (struct sockaddr *) &sin, &len))) {
 		perror("accept");
 		exit(1);
 	}
diff --git a/src/odbc/unittests/timeout4.c b/src/odbc/unittests/timeout4.c
index cb0cbea..2bafe7d 100644
--- a/src/odbc/unittests/timeout4.c
+++ b/src/odbc/unittests/timeout4.c
@@ -39,7 +39,7 @@
  * prepare or execute a query. This should fail and return an error message.
  */
 
-static char software_version[] = "$Id: timeout4.c,v 1.4 2008/12/03 12:55:52 freddy77 Exp $";
+static char software_version[] = "$Id: timeout4.c,v 1.5 2010/03/01 14:50:55 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #if HAVE_FSTAT && defined(S_IFSOCK)
@@ -94,10 +94,14 @@ Test(int direct)
 
 	alarm(30);
 	start_time = time(NULL);
-	if (direct)
+	if (direct) {
 		CHKExecDirect((SQLCHAR *) "SELECT 1", SQL_NTS, "E");
-	else
-		CHKPrepare((SQLCHAR *) "SELECT 1", SQL_NTS, "E");
+	} else {
+		SQLSMALLINT cols;
+		/* force dialog with server */
+		if (CHKPrepare((SQLCHAR *) "SELECT 1", SQL_NTS, "SE") == SQL_SUCCESS)
+			CHKNumResultCols(&cols, "E");
+	}
 	end_time = time(NULL);
 	alarm(0);
 

